Mapping API

The Mapping API enables the resolution of a ticker symbol, CIK, CUSIP, or company name to a standardized set of company details. Companies can be conveniently listed based on various criteria, including SIC, security category, and the location of their headquarters.

Dataset Size: Includes all publicly available CIKs, CUSIPs, tickers, and information on any company publicly listed on major US exchanges..

Data Update Frequency: Daily.

API Endpoint

POST https://api.secfilingdata.com/v1/filings/mapping/

Supported HTTP methods: POST

Request and response content type: JSON

Authentication

All requests require an API token in the Authorization header.

Authorization: AUTH_TOKEN

Request Parameters

Parameter Type Required Description
query_type string Required Search type. Supported:
  • cik
  • ticker
  • companyname
  • agentcik
query_value string Required Search value based on query_type

Request Example

{
  "query_type": "cik",
  "query_value": "0000320193"
}
{
  "query_type": "companyName",
  "query_value": "Apple Inc."
}
{
  "query_type": "ticker",
  "query_value": "AAPL"
}
{
  "query_type": "agentcik",
  "query_value": "0001477932"
}

Response

<?php

$live_api_key = 'YOUR_API_TOKEN';
$url = "https://api.secfilingdata.com/v1/filings/mapping/";

$postData = [
    'query_type' => 'companyName',
    'query_value' => 'Apple Inc.'
];

$ch = curl_init($url);

curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => json_encode($postData),
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
        'Authorization: ' . $live_api_key
    ]
]);

$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo curl_error($ch);
}

curl_close($ch);

echo $response;
import requests

url = "https://api.secfilingdata.com/v1/filings/mapping/"

headers = {
    "Authorization": "YOUR_API_TOKEN",
    "Content-Type": "application/json"
}

payload = {
    "query_type": "companyName",
    "query_value": "Apple Inc."
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
const url = "https://api.secfilingdata.com/v1/filings/mapping/";

const payload = {
    query_type: "companyName",
    query_value: "Apple Inc."
};

fetch(url, {
    method: "POST",
    headers: {
        "Authorization": "YOUR_API_TOKEN",
        "Content-Type": "application/json"
    },
    body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));
const axios = require("axios");

const url = "https://api.secfilingdata.com/v1/filings/mapping/";

const payload = {
    query_type: "companyName",
    query_value: "Apple Inc."
};

axios.post(url, payload, {
    headers: {
        Authorization: "YOUR_API_TOKEN",
        "Content-Type": "application/json"
    }
})
.then(response => {
    console.log(response.data);
})
.catch(error => {
    console.error(error.response?.data || error.message);
});
curl -X POST "https://api.secfilingdata.com/v1/filings/mapping/" \
-H "Authorization: YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
    "query_type":"companyName",
    "query_value":"Apple Inc."
}'
package main

import (
  "bytes"
  "fmt"
  "io"
  "net/http"
)

func main() {
  url := "https://api.secfilingdata.com/v1/filings/mapping/"

  payload := []byte(`{
    "query_type":"companyName",
    "query_value":"Apple Inc."
  }`)

  req, err := http.NewRequest("POST", url, bytes.NewBuffer(payload))
  if err != nil {
    panic(err)
  }

  req.Header.Set("Authorization", "YOUR_API_TOKEN")
  req.Header.Set("Content-Type", "application/json")

  client := &http.Client{}

  res, err := client.Do(req)
  if err != nil {
    panic(err)
  }
  defer res.Body.Close()

  body, _ := io.ReadAll(res.Body)

  fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {

        String json = """
        {
            "query_type":"companyName",
            "query_value":"Apple Inc."
        }
        """;

        HttpRequest request = HttpRequest.newBuilder()
                .uri(URI.create("https://api.secfilingdata.com/v1/filings/mapping/"))
                .header("Authorization", "YOUR_API_TOKEN")
                .header("Content-Type", "application/json")
                .POST(HttpRequest.BodyPublishers.ofString(json))
                .build();

        HttpClient client = HttpClient.newHttpClient();

        HttpResponse response = client.send(request, HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        using var client = new HttpClient();

        client.DefaultRequestHeaders.Add("Authorization", "YOUR_API_TOKEN");

        var json = @"{
            ""query_type"":""companyName"",
            ""query_value"":""Apple Inc.""
        }";

        var content = new StringContent(json, Encoding.UTF8, "application/json");

        var response = await client.PostAsync(
            "https://api.secfilingdata.com/v1/filings/mapping/",
            content
        );

        var body = await response.Content.ReadAsStringAsync();

        Console.WriteLine(body);
    }
}
require 'net/http'
require 'uri'
require 'json'

uri = URI("https://api.secfilingdata.com/v1/filings/mapping/")

http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Post.new(uri)
request["Authorization"] = "YOUR_API_TOKEN"
request["Content-Type"] = "application/json"

request.body = {
  query_type: "companyName",
  query_value: "Apple Inc."
}.to_json

response = http.request(request)

puts response.body

Response Example

[
  {
    "cik_number": "0000320193",
    "company_name": "Apple Inc.",
    "sic": "3571",
    "sic_description": "Electronic Computers",
    "category": "Large accelerated filer",
    "stateOfIncorporation": "CA",
    "fiscalYearEnd": "0928",
    "phone": "(408) 996-1010",
    "ticker": "AAPL",
    "business_address": {
      "street1": "ONE APPLE PARK WAY",
      "street2": null,
      "city": "CUPERTINO",
      "stateOrCountry": "CA",
      "zipCode": "95014",
      "stateOrCountryDescription": "CA"
    },
    "mailing_address": {
      "street1": "ONE APPLE PARK WAY",
      "street2": null,
      "city": "CUPERTINO",
      "stateOrCountry": "CA",
      "zipCode": "95014",
      "stateOrCountryDescription": "CA"
    },
    "insiderTransactionForOwnerExists": "0",
    "insiderTransactionForIssuerExists": "1",
    "entityType": "operating",
    "ein": "942404110",
    "website": "",
    "investorWebsite": "",
    "formerNames": [
      {
        "name": "APPLE INC",
        "from": "2007-01-10T00:00:00.000Z",
        "to": "2019-08-05T00:00:00.000Z"
      },
      {
        "name": "APPLE COMPUTER INC",
        "from": "1994-01-26T00:00:00.000Z",
        "to": "2007-01-04T00:00:00.000Z"
      },
      {
        "name": "APPLE COMPUTER INC/ FA",
        "from": "1997-07-28T00:00:00.000Z",
        "to": "1997-07-28T00:00:00.000Z"
      }
    ],
    "exchanges": "[\"Nasdaq\"]",
    "cusip": "037833100",
    "alltickers": "AAPL,AAPL",
    "state": "CA",
    "last_filing": "2023-08-08",
    "first_filing": "2012-02-02"
  }
]
   
Important:
Requests must use: Content-Type:application/json
POST body must be JSON encoded using:json_encode($postData)

HTTP Status Codes

Status Code Description
200 Successful request
204 No results found
400 Invalid request parameters
401 Unauthorized / Invalid token
500 Internal server error